# Format I

## Get entities

<mark style="color:blue;">`GET`</mark> `https://api.elections.openknowledge.be/format-i/entities/:year/:type`

This endpoint allows you to get all the entities for specific elections.\
If you need the list of available elections types, see Types.

#### Path Parameters

| Name | Type    | Description                        |
| ---- | ------- | ---------------------------------- |
| year | integer | Year of the elections.             |
| type | string  | Type of the elections (see Types). |

#### Query Parameters

| Name | Type    | Description                             |
| ---- | ------- | --------------------------------------- |
| test | boolean | Use **test** data instead of real data. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "1101": {
    "id": 1101,
    "level": "K",
    "name_fr": "Votes Émis Dans le Canton de Rhode-Saint-Genèse",
    "name_nl": "Stemmen Uitgebracht In het Kanton Sint-Genesius-Rode",
    "name_de": "Stimmabgabe Im Kanton Sint-Genesius-Rode",
    "name_en": "Voted In The District of Rhode-Saint-Genèse/sint-Genesius-Rode",
    "nis": "1101",
    "parent": "21004",
    "electronic": true,
    "stations": 44,
    "max_official": 0,
    "max_substitues": 0,
    "registrations": {
      "BB": 44429,
      "E1_E2": 127,
      "E3_E4": 0,
      "E5": 0
    }
  },
  ...
}
```

{% endtab %}
{% endtabs %}

{% content-ref url="/pages/-LfuBBN2cKgblfWKj6eT" %}
[Types](/more-information/types.md)
{% endcontent-ref %}

## Get groups

<mark style="color:blue;">`GET`</mark> `https://api.elections.openknowledge.be/format-i/groups/:year/:type`

This endpoint allows you to get all the groups for specific elections.\
If you need the list of available elections types, see Types.

#### Path Parameters

| Name | Type    | Description                        |
| ---- | ------- | ---------------------------------- |
| year | integer | Year of the elections.             |
| type | string  | Type of the elections (see Types). |

#### Query Parameters

| Name | Type    | Description                             |
| ---- | ------- | --------------------------------------- |
| test | boolean | Use **test** data instead of real data. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "307": {
    "id": 307,
    "name": "Piratenpartij",
    "color": "CCCCCC",
    "previous": {
      "name": "Piratenpartij",
      "id": 2000095
    }
  },
  ...
}
```

{% endtab %}
{% endtabs %}

{% content-ref url="/pages/-LfuBBN2cKgblfWKj6eT" %}
[Types](/more-information/types.md)
{% endcontent-ref %}

## Get lists

<mark style="color:blue;">`GET`</mark> `https://api.elections.openknowledge.be/format-i/list/:year/:type`

This endpoint allows you to get all the lists for specific elections.\
If you need the list of available elections types, see Types.

#### Path Parameters

| Name | Type    | Description                        |
| ---- | ------- | ---------------------------------- |
| year | integer | Year of the elections.             |
| type | string  | Type of the elections (see Types). |

#### Query Parameters

| Name | Type    | Description                             |
| ---- | ------- | --------------------------------------- |
| test | boolean | Use **test** data instead of real data. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "1377": {
    "id": 1377,
    "name": "ECOLO",
    "lang": "FF",
    "nr": 2,
    "group": {
      "id": 326,
      "name": "ECOLO",
      "color": "C1E331",
      "previous": {
        "name": "Ecolo",
        "id": 2000046
      }
    },
    "entity": {
      "id": 2227,
      "level": "C",
      "name_fr": "Circonscription de Namur",
      "name_nl": "Kieskring Namen",
      "name_de": "Wahlkreis Namur",
      "name_en": "Constituency of Namur",
      "nis": "2227",
      "parent": null,
      "electronic": false,
      "stations": 20,
      "max_official": 6,
      "max_substitues": 6,
      "registrations": {
        "BB": 371574,
        "E1_E2": 1528,
        "E3_E4": 878,
        "E5": 5319
      }
    },
    "previous": {
      "name": "Ecolo",
      "id": 2000046
    }
  },
  ...
}
```

{% endtab %}
{% endtabs %}

{% content-ref url="/pages/-LfuBBN2cKgblfWKj6eT" %}
[Types](/more-information/types.md)
{% endcontent-ref %}

## Get candidates

<mark style="color:blue;">`GET`</mark> `https://api.elections.openknowledge.be/format-i/candidates/:year/:type`

#### Path Parameters

| Name | Type    | Description                        |
| ---- | ------- | ---------------------------------- |
| year | integer | Year of the elections.             |
| type | string  | Type of the elections (see Types). |

#### Query Parameters

| Name | Type    | Description                             |
| ---- | ------- | --------------------------------------- |
| test | boolean | Use **test** data instead of real data. |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "29704": {
    "id": 29704,
    "level": "C",
    "nr": 1,
    "name": "DETOMBE Willy",
    "type": "S",
    "gender": "U",
    "birthdate": "00/00/0000",
    "list": {
      "id": 1473,
      "name": "DéFI",
      "lang": "FF",
      "nr": 11,
      "group": {
        "id": 304,
        "name": "DéFI",
        "color": "D70077",
        "previous": {
          "name": "FDF",
          "id": 2000074
        }
      },
      "entity": {
        "id": 2224,
        "level": "C",
        "name_fr": "Circonscription de Hainaut",
        "name_nl": "Kieskring Henegouwen",
        "name_de": "Wahlkreis Hennegau",
        "name_en": "Constituency of Hainaut",
        "nis": "2224",
        "parent": null,
        "electronic": false,
        "stations": 0,
        "max_official": 18,
        "max_substitues": 10,
        "registrations": {
          "BB": 923330,
          "E1_E2": 4332,
          "E3_E4": 1751,
          "E5": 13376
        }
      },
      "previous": {
        "name": "FDF",
        "id": 2000074
      }
    }
  },
  ...
}
```

{% endtab %}
{% endtabs %}

{% content-ref url="/pages/-LfuBBN2cKgblfWKj6eT" %}
[Types](/more-information/types.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elections.openknowledge.be/api/format-i.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
